Subject: Re: [PATCH 6/6] diff-merges: let -m imply -p

From: Sergey Organov <[email-masked]>
Date: Thu, 20 May 2021 01:03:51 +0300

Jonathan Nieder <[email-masked]> writes:

> Sergey Organov wrote:
>
>> Fix long standing inconsistency between -c/--cc that do imply -p, on
>> one side, and -m that did not imply -p, on the other side.
>>
>> After this patch
>>
>>   git log -m
>>
>> will start to produce diffs without need to provide -p as well,
>
> Personally I don't ever use -m without -p and --first-parent, so in
> that sense this feels like a change in the right direction.
>
> Does this also affect the plumbing command "git diff-tree"?  I'm
> guessing "no" because diff-tree already generates a diff by default,
> but it seems worth spelling out in the commit message to prevent
> worries about the effect on scripts that expect stable plumbing
> behavior.

Well, here are existing relevant tests:

diff-tree master
diff-tree -p master
diff-tree -p -m master

that all still pass after the patches, and I believe

diff-tree -m master

does change the behavior, but provided it's useless before these
patches, it should be OK to have this change.

Thanks,
-- Sergey Organov